aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/mosh.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_completion.d/mosh.bash')
-rw-r--r--bash/bash_completion.d/mosh.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/bash/bash_completion.d/mosh.bash b/bash/bash_completion.d/mosh.bash
new file mode 100644
index 00000000..17d72ca1
--- /dev/null
+++ b/bash/bash_completion.d/mosh.bash
@@ -0,0 +1,5 @@
+# Completion for mosh(1) with ssh_config(5) hostnames
+if ! declare -F _ssh_config_hosts >/dev/null ; then
+ source "$HOME"/.bash_completion.d/_ssh_config_hosts.bash
+fi
+complete -F _ssh_config_hosts -o bashdefault -o default mosh